PaperCorrespondence/ViewModels/Paper.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PaperCorrespondence.ViewModels
{
	public class Paper
	{
		public int Id { get; set; }
		public string Name { get; set; }
		[AllowHtml]
		[UIHint("tinymce_jquery_full")]
		public string Content { get; set; }
	}
}

PaperCorrespondence/Controllers/AuthController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace PaperCorrespondence.Controllers
{
    public class AuthController : Controller
    {
		// GET: Auth
		[HttpPost]
		public ActionResult Login(string Email, string Password, bool RemeberMe = false, string ReturnUrl = "Home/Index")
		{
			if (Request.IsAuthenticated)
				return RedirectToAction("Index", "Home");

			string Msg = "البريد او كلمه المرور غير صحيحه";
			var usr = new { Id="123",Roles="role1,role2"};// db.Client.FirstOrDefault(u => u.Email == Email && u.Password == Password);
			if (usr != null)
			{
				var ticket = new FormsAuthenticationTicket(version: 1, name: usr.Id, issueDate: DateTime.Now, expiration: DateTime.Now.AddSeconds(20000), isPersistent: false, userData: usr.Roles);
				var encryptedTicket = FormsAuthentication.Encrypt(ticket);
				var cookie = new HttpCookie(FormsAuthentication.FormsCookieName, encryptedTicket);
				this.ControllerContext.HttpContext.Response.Cookies.Add(cookie);

				return RedirectToAction("Index", "Home");
			}
			else
			{
				ViewBag.Msg = Msg;
			}
			return View();
		}


		[Authorize]
		public ActionResult Logout(string Url = "#")
		{
			FormsAuthentication.SignOut();
			return Redirect(Url);
		}
	}
}

PaperCorrespondence/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PaperCorrespondence.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			return View();
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}
	}
}

PaperCorrespondence/Controllers/PaperController.cs
using PaperCorrespondence.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace PaperCorrespondence.Views.Home
{
    public class PaperController : Controller
    {
        // GET: Paper
        public ActionResult Index()
        {
            return View();
        }

        // GET: Paper/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Paper/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Paper/Create
        [HttpPost]
        public ActionResult Create(Paper papr)
        {
            try
            {
                // TODO: Add insert logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Paper/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Paper/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Paper/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Paper/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

		public ActionResult Upload()
		{
			var file = Request.Files["Filedata"];
			string extension = Path.GetExtension(file.FileName);
			string fileid = Guid.NewGuid().ToString();
			fileid = Path.ChangeExtension(fileid, extension);

			string savePath = Server.MapPath(@"~\Uploads\" + fileid);
			file.SaveAs(savePath);

			return Content(Url.Content(@"~\Uploads\" + fileid));
		}
	}
}

PaperCorrespondence/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<form>
    <div class="form-group mb-4 col-12 col-sm-6">
        <label asp-for="Name" class="control-label">Content</label>
        <textarea class="w-100 bg-light border-0 rounded p-3 shadow-sm"></textarea>
    </div>
</form>

@section scripts{

    <script>

    </script>
    } 

PaperCorrespondence/Views/Paper/Create.cshtml
@model PaperCorrespondence.ViewModels.Paper

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Paper</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Content, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Content, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Content, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    @*<script src="~/scripts/tinymce/jquery.tinymce.js"></script>*@
}

PaperCorrespondence/Views/Shared/EditorTemplates/tinymce_jquery_full.cshtml
@*
Don't forget to reference the JQuery Library here, inside your view or layout.
<script src="@Url.Content("~/Scripts/jquery-x.x.x.min.js")" type="text/javascript"></script>
*@

<script src="@Url.Content("~/Scripts/tinymce/jquery.tinymce.js")" type="text/javascript"></script>

<script type="text/javascript">

    (function(){ 

      $(function() { 
      
          $('#@ViewData.TemplateInfo.GetFullHtmlFieldName(string.Empty)').tinymce({

            // Location of TinyMCE script
            script_url: '@Url.Content("~/Scripts/tinymce/tiny_mce.js")',
            theme: "advanced",
            
            height: "500",
            width: "790",
            verify_html : false,
            plugins : "pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,wordcount,advlist,autosave",
            
            // Theme options
            theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
            theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
            theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
            theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak,restoredraft,codehighlighting,netadvimage",
            theme_advanced_toolbar_location : "top",
            theme_advanced_toolbar_align : "left",
            theme_advanced_statusbar_location : "bottom",
            theme_advanced_resizing : false,
            
            // Example content CSS (should be your site CSS)
            content_css : "@Url.Content("~/Scripts/tinymce/css/content.css")",
            convert_urls : false,
            
            // Drop lists for link/image/media/template dialogs
            template_external_list_url : "lists/template_list.js",
            external_link_list_url : "lists/link_list.js",
            external_image_list_url : "lists/image_list.js",
            media_external_list_url : "lists/media_list.js"

        });

      });

    })();

</script>

@Html.TextArea(string.Empty, /* Name suffix */
    ViewData.TemplateInfo.FormattedModelValue /* Initial value */
)

PaperCorrespondence/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @*@Scripts.Render("~/bundles/modernizr")*@
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")

</head>
<body class="bg-light" style="position: relative; height: 100%; max-height: 100%;overflow-y: hidden;direction:ltr">

    <div id="Loader" class="w-100 position-fixed h-100 pt-5" style="background:rgba(255,255,255,0.7);top:0px;left:0px;z-index:9999999;">
        <div class="text-center w-100 mt-5 pt-5 align-middle">
            <div class="mt-5 pt-5">
                <img src="~/Content/Images/circle loading.gif"  class="img-fluid mt-5" width="40" />
            </div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-sm-2 pl-0 pr-0 pr-sm-4 side-nav d-print-none">
                <div class="bg-primary p-sm-3 p-2 p-sm-3 h-vh shadow-lg" style="direction:ltr;">
                    <div class="justify-content-center align-self-center d-inline d-sm-block text-center h-vh h4 position-relative mb-0">
                        <a class="text-left btn btn-primary pr-0 pl-0 pt-0 pb-sm-4 mb-0 mb-sm-4 mr-5 mr-sm-0 d-sm-block d-none" asp-controller="home" asp-action="index">
                            <span style="font-family:Arial;" class="font-weight-bolder">Home</span>
                        </a>

                        <a asp-action="index" asp-controller="Home" class="text-left mb-sm-2 mb-0 btn btn-dark d-inline d-sm-block text-white la la-school la-1x p-2 ml-2 ml-sm-0" title="Subjects"><span class="fontFamily pl-2 pr-2 h6 d-none d-sm-inline">Home</span></a>
                        <a asp-action="logout" asp-controller="Auth" class="text-left mb-sm-2 mb-0 btn btn-dark d-inline d-sm-block text-white la la-sign-out la-1x p-2 ml-2 ml-sm-0" title="Subjects"><span class="fontFamily pl-2 pr-2 h6 d-none d-sm-inline">Logout</span></a>


                        <small class="text-muted d-block d-sm-none w-100" style="font-size:12px;">SLASHAPPS.NET</small>
                    </div>
                </div>
            </div>

            <div class="col-12 col-sm-10 h-vh over-flow-y-auto pr-sm-5 pb-5 pb-sm-0">
                <div class="container-fluid text-left">
                    @RenderBody()
                </div>
            </div>
        </div>
    </div>

    @if (Request.QueryString["ErrorMsg"]!=null)
    {
        <div class="modal" id="ErrorMsgsModal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body text-left">
                        <h4 class="font-weight-bold text-danger">@Request.QueryString["ErrorMsg"]</h4>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    }

    
    @RenderSection("scripts", required: false)
    <script>
        $(document).ready(function () {
            $(window).on('beforeunload', function () {
                $('#Loader').show();
            });

            $('#Loader').hide();
            $(window).bind("pageshow", function (event) {
                $('#Loader').hide();
            });

            $('#ErrorMsgsModal').modal('show');
        });
    </script>
</body>
</html>